FSCK(8)

NOME
fsck - verifica e repara um sistema de arquivos do Linux

SINOPSE

fsck [-lsAVRTMNP] [-r [fd]] [-C [fd]] [-t fstype] [filesystem...] [--] [fs-specific-options]

DESCRIÇÃO

fsck is used to check and optionally repair one or more Linux filesystems. filesystem can be a device name (e.g., /dev/hdc1, /dev/sdb2), a mount point (e.g., /, /usr, /home), or a filesystem label or UUID specifier (e.g., UUID=8868abf6-88c5-4a83-98b8-bfc24057f7bd or LABEL=root). Normally, the fsck program will try to handle filesystems on different physical disk drives in parallel to reduce the total amount of time needed to check all of them.

Se nenhum sistema de arquivos for especificado na linha de comando e a opção -A não for especificada, fsck será o padrão para verificar os sistemas de arquivos em /etc/fstab em série. Isso é equivalente às opções -As.

O status de saída retornado por fsck é a soma das seguintes condições:

0
    Nenhum erro

1
    Erros de sistema de arquivos corrigidos

2
    O sistema deve ser reiniciado

4
    Erros de sistema de arquivos não corrigidos

8
    Erro operacional

16
    Erro de uso ou de sintaxe

32
    Verificação cancelada a pedido do usuário

128
    Erro de biblioteca compartilhada

O status de saída retornado quando vários sistemas de arquivos são verificados é o OU bit a bit dos status de saída para cada sistema de arquivos que é verificado.

Na verdade, fsck é simplesmente um front-end para os vários verificadores de sistema de arquivos (fsck.tipo) disponíveis no Linux. O verificador específico do sistema de arquivos é procurado na variável de ambiente PATH. Se o PATH for indefinido, retrocede para /sbin.

Consulte as páginas de manual do verificador específicas do sistema de arquivos para mais detalhes.

OPÇÕES

-l
    Cria um arquivo de trava flock(2) exclusivo (/run/fsck/<nome-do-disco>.lock) para o dispositivo de disco inteiro. Esta opção pode ser usada apenas com um dispositivo (isso significa que -A e -l são mutuamente exclusivas). Esta opção é recomendada quando mais instâncias de fsck são executadas ao mesmo tempo. A opção é ignorada quando usada para vários dispositivos ou para discos não rotativos. fsck não trava dispositivos subjacentes quando executado para verificar dispositivos empilhados (por exemplo, MD ou DM) — este recurso ainda não foi implementado.

-r [fd]
    Relata certas estatísticas para cada fsck quando ele for concluído. Essas estatísticas incluem o status de saída, o tamanho máximo do conjunto de execução (em kilobytes), o tempo total decorrido e o tempo de CPU do usuário e do sistema usado pela execução do fsck. Por exemplo:

    /dev/sda1: status 0, rss 92828, real 4.002804, user 2.677592, sys 0.86186

    Os frontends gráficos podem especificar um descritor de arquivo fd, caso em que as informações da barra de progresso serão enviadas para esse descritor de arquivo em um formato analisável por máquina. Por exemplo:

    /dev/sda1 0 92828 4.002804 2.677592 0.86186

-s
    Serializa operações do fsck. Esta é uma boa ideia se você estiver verificando vários sistemas de arquivos e os verificadores estiverem em um modo interativo. (Nota: e2fsck(8) é executado em um modo interativo por padrão. Para fazer o e2fsck(8) executar em um modo não interativo, você deve especificar a opção -p ou -a, se deseja que os erros sejam corrigidos automaticamente ou a opção -n se não desejar.)

-t lista-fs
    Especifica o(s) tipo(s) de sistema de arquivos a ser(em) verificado(s). Quando o sinalizador -A é especificado, apenas os sistemas de arquivos que correspondem a lista-fs são verificados. O parâmetro lista-fs é uma lista separada por vírgulas de sistemas de arquivos e especificadores de opções. Todos os sistemas de arquivos nesta lista separada por vírgulas podem ser prefixados por um operador de negação "no" ou "!", que solicita que apenas os sistemas de arquivos não listados em lista-fs sejam verificados. Se nenhum dos sistemas de arquivos em lista-fs for prefixado por um operador de negação, então apenas os sistemas de arquivos listados serão verificados.

    Especificadores de opções podem ser incluídos na lista-fs separada por vírgulas. Eles devem ter o formato opts=opção-fs. Se um especificador de opções estiver presente, então apenas os sistemas de arquivos que contêm opção-fs em seu campo de opções de montagem de /etc/fstab serão verificados. Se o especificador de opções é prefixado por um operador de negação, então apenas os sistemas de arquivos que não têm opção-fs em seu campo de opções de montagem de /etc/fstab serão verificados.

    Por exemplo, se opts=ro aparecer em lista-fs, então apenas os sistemas de arquivos listados em /etc/fstab com a opção ro serão verificados.

    Para compatibilidade com distribuições Mandrake cujos scripts de inicialização dependem de uma mudança de IU não autorizada para o programa fsck, se um tipo de sistema de arquivos loop for encontrado em lista-fs, ele será tratado como se opts=loop fosse especificado como um argumento para a opção -t.

    Normalmente, o tipo de sistema de arquivos é deduzido pesquisando por filesys no arquivo /etc/fstab e usando a entrada correspondente. Se o tipo não puder ser deduzido e houver apenas um único sistema de arquivos fornecido como argumento para a opção -t, fsck usará o tipo de sistema de arquivos especificado. Se este tipo não estiver disponível, o tipo de sistema de arquivos padrão (atualmente ext2) é usado.

-A
    Percorre o arquivo /etc/fstab e tente verificar todos os sistemas de arquivos de uma vez. Esta opção é normalmente usada a partir do arquivo de inicialização do sistema /etc/rc, em vez de vários comandos para verificar um único sistema de arquivos.

    O sistema de arquivos raiz será verificado primeiro, a menos que a opção -P seja especificada (veja abaixo). Depois disso, os sistemas de arquivos serão verificados na ordem especificada pelo campo fs_passno (o sexto) no arquivo /etc/fstab. Os sistemas de arquivos com um valor fs_passno de 0 são ignorados e não são verificados de forma alguma. Os sistemas de arquivos com um valor fs_passno maior que zero serão verificados em ordem, com os sistemas de arquivos com o número fs_passno mais baixo sendo verificado primeiro. Se houver vários sistemas de arquivos com o mesmo número de passagem, fsck tentará verificá-los em paralelo, embora evite executar várias verificações de sistema de arquivos no mesmo disco físico.

    fsck não verifica dispositivos empilhados (RAIDs, dm-crypt, ...) em paralelo com qualquer outro dispositivo. Veja abaixo a configuração FSCK_FORCE_ALL_PARALLEL. O sistema de arquivos /sys é usado para determinar dependências entre dispositivos.

    Portanto, uma configuração muito comum em arquivos /etc/fstab é definir o sistema de arquivos raiz para ter um valor fs_passno de 1 e definir todos os outros sistemas de arquivos para ter um valor de fs_passno de 2. Isso permitirá que fsck execute automaticamente o sistema de arquivos verificadores em paralelo, se for vantajoso fazê-lo. Os administradores do sistema podem escolher não usar esta configuração se precisarem evitar várias verificações do sistema de arquivos em execução em paralelo por algum motivo — por exemplo, se a máquina em questão estiver com pouca memória, de modo que a paginação excessiva é uma preocupação.

    fsck normalmente não verifica se o dispositivo realmente existe antes de chamar um verificador específico do sistema de arquivos. Portanto, dispositivos não existentes podem fazer com que o sistema entre no modo de reparo do sistema de arquivos durante a inicialização se o verificador específico do sistema de arquivos retornar um erro fatal. A opção de montagem nofail do /etc fstab pode ser usada para que fsck ignore dispositivos não existentes. fsck também pula dispositivos não existentes que possuem o tipo de sistema de arquivos especial auto.

-C [fd]
    Exibe barras de conclusão/progresso para os verificadores de sistema de arquivos (atualmente apenas para ext[234]) que aos há suporte. fsck gerenciará os verificadores do sistema de arquivos para que apenas um deles exiba uma barra de progresso por vez. Os front-ends da GUI podem especificar um descritor de arquivo fd, caso em que as informações da barra de progresso serão enviadas para esse descritor de arquivo.

-M
    Não verifica os sistemas de arquivos montados e retorna um status de saída 0 para sistemas de arquivos montados.

-N
    Não executa, apenas mostra o que seria feito.

-P
    Quando a opção -A é definida, verifica o sistema de arquivos raiz em paralelo com os outros sistemas de arquivos. Esta não é a coisa mais segura do mundo a se fazer, pois se o sistema de arquivos raiz estiver em dúvida, coisas como o executável e2fsck(8) podem ser corrompidas! Esta opção é fornecida principalmente para os administradores de sistemas que não desejam reparticionar o sistema de arquivos raiz para que seja pequeno e compacto (o que é realmente a solução certa).

-R
    Ao verificar todos os sistemas de arquivos com a opção -A, ignora o sistema de arquivos raiz. (Isso é útil caso o sistema de arquivos raiz já tenha sido montado para leitura e escrita.)

-T
    Não mostra o título na inicialização.

-V
    Produz uma saída detalhada, incluindo todos os comandos específicos do sistema de arquivos que são executados.

-?, --help
    Exibe um texto de ajuda e sai.

--version
    Exibe informação da versão e sai.

OPÇÕES ESPECÍFICAS DO SISTEMA DE ARQUIVOS

As opções que não são compreendidas pelo fsck são passadas para o verificador específico do sistema de arquivos!

Essas opções não devem aceitar argumentos, pois não há como fsck ser capaz de adivinhar corretamente quais opções aceitam argumentos e quais não.

As opções e argumentos que seguem - são tratados como opções específicas do sistema de arquivos a serem passadas para o verificador específico do sistema de arquivos.

Observe que fsck não foi projetado para passar opções arbitrariamente complicadas para verificadores específicos do sistema de arquivos. Se você estiver fazendo algo complicado, execute o verificador específico do sistema de arquivos diretamente. Se você passar para fsck algumas opções e argumentos terrivelmente complicados, e ele não fizer o que você espera, não se preocupe em relatar isso como um bug. Você quase certamente está fazendo algo que não deveria estar fazendo com fsck. As opções para diferentes fscks específicos do sistema de arquivos não são padronizadas.

AMBIENTE

O comportamento do programa fsck é afetado pelas seguintes variáveis de ambiente:

FSCK_FORCE_ALL_PARALLEL
    Se esta variável de ambiente for definida, fsck tentará verificar todos os sistemas de arquivos especificados em paralelo, independentemente de os sistemas de arquivos parecerem estar no mesmo dispositivo. (Isso é útil para sistemas RAID ou sistemas de armazenamento de ponta, como os vendidos por empresas como IBM ou EMC.) Observe que o valor fs_passno ainda é usado.

FSCK_MAX_INST
    Esta variável de ambiente limitará o número máximo de verificadores do sistema de arquivos que podem ser executados ao mesmo tempo. Isso permite configurações que possuem um grande número de discos para evitar que fsck inicie muitos verificadores do sistema de arquivos de uma vez, o que pode sobrecarregar a CPU e os recursos de memória disponíveis no sistema. Se esse valor for zero, um número ilimitado de processos pode ser gerado. Este é o padrão atualmente, mas versões futuras do fsck podem tentar determinar automaticamente quantas verificações do sistema de arquivos podem ser executadas com base na coleta de dados contábeis do sistema operacional.

PATH
    A variável de ambiente PATH é usada para localizar verificadores de sistema de arquivos.

FSTAB_FILE
    Esta variável de ambiente permite que o administrador do sistema substitua a localização padrão do arquivo /etc/fstab. Também é útil para desenvolvedores que estão testando o fsck.

LIBBLKID_DEBUG=all
    habilita saída de depuração do libblkid.

LIBMOUNT_DEBUG=all
    habilita a saída de depuração do libmount.

ARQUIVOS

/etc/fstab

AUTORES

VEJA TAMBÉM

fstab(5), mkfs(8), fsck.ext2(8) or fsck.ext3(8) or e2fsck(8), fsck.cramfs(8), fsck.jfs(8), fsck.nfs(8), fsck.minix(8), fsck.msdos(8), fsck.vfat(8), fsck.xfs(8), reiserfsck(8)

RELATANDO PROBLEMAS

For bug reports, use the issue tracker at

DISPONIBILIDADE

O comando fsck é parte do pacote util-linux que pode ser baixado do